function do_output()
{
    if (fname) print fname,required,lname?lname:name,list,conflicts;
}

function do_reset()
{
    name="";
    lname="";
    list="";
    fname="";
    conflicts="";
    required="no";
}

function do_fname()
{
    fname=gensub(".*/([^/]+)\\.directory$","\\1","",FILENAME);
}

BEGIN { FS="[[:space:]]*=[[:space:]]*"; OFS="\t"; do_reset() }

/^X-Alterator-PackageList[[:space:]]*=/ { list=$2 }
/^X-Alterator-Conflicts[[:space:]]*=/ { conflicts=$2 }
/^X-Alterator-Required[[:space:]]*=/ { required=$2 }

$0 ~ "^Name\\["lang"\\][[:space:]]*="  { lname=$2; }
/^Name[[:space:]]*=/ { name=$2; }

/\[Desktop Entry\]/ { do_output(); do_reset(); do_fname(); }

END { do_output(); }
